> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Text Topics



## OpenAPI

````yaml api-reference/openapi.yaml get /api/v1/reports/{id}/summary/topics/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/reports/{id}/summary/topics/:
    get:
      tags:
        - Reports
      summary: Text Topics
      operationId: reports_summary_topics_list
      parameters:
        - in: query
          name: configuration_id
          schema:
            type: string
            format: uuid
          description: >-
            Optional configuration id to retrieve. If not provided, the primary
            configuration will be used.
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this report.
          required: true
        - in: query
          name: issued_at_after
          schema:
            type: string
            format: date-time
        - in: query
          name: issued_at_before
          schema:
            type: string
            format: date-time
        - in: query
          name: mona_version__audience_type
          schema:
            type: integer
            enum:
              - 0
              - 1
              - 2
              - 3
              - 4
              - 5
          description: |-
            * `0` - None
            * `1` - Customers
            * `2` - Employees
            * `3` - Donors
            * `4` - Media
            * `5` - Gathering 2024 Lecturees
        - in: query
          name: name
          schema:
            type: string
        - in: query
          name: only_comparable
          schema:
            type: boolean
          description: >-
            Set to true to only include Reports that are comparable at this time
            (which excludes sample reports and those marked for non-comparison
            or incomplete), and only their Configurations that are comparable
            and completed with a result.
        - in: query
          name: only_key_focus_topics
          schema:
            type: boolean
          description: >-
            Optional param to limit the results to only the top key focus
            topics.
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: portfolio_id__in
          schema:
            type: array
            items:
              type: string
              format: uuid
          description: Multiple values may be separated by commas.
          explode: false
          style: form
        - in: query
          name: tags
          schema:
            type: array
            items:
              type: string
              nullable: true
              enum:
                - competitive
                - industry
                - none
                - segment
          description: |-
            * `competitive` - Competitive
            * `segment` - Segment
            * `industry` - Industry
            * `none` - None
          explode: true
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedTextTopicList'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedTextTopicList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/TextTopic'
    TextTopic:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          readOnly: true
        key_focus_priority_order:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
        key_focus_attitudes:
          type: string
          readOnly: true
        dominant_sentiment:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/DominantSentimentEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        themes:
          type: array
          items:
            $ref: '#/components/schemas/TextTopicTheme'
          readOnly: true
        category:
          type: string
          nullable: true
          maxLength: 250
        topic:
          type: string
          maxLength: 250
      required:
        - id
        - key_focus_attitudes
        - name
        - themes
        - topic
    DominantSentimentEnum:
      enum:
        - positive
        - neutral
        - negative
        - any
      type: string
      description: |-
        * `positive` - Positive
        * `neutral` - Neutral
        * `negative` - Negative
        * `any` - Any
    BlankEnum:
      enum:
        - ''
    NullEnum:
      enum:
        - null
    TextTopicTheme:
      type: object
      properties:
        name:
          type: string
          maxLength: 100
        description:
          type: string
          nullable: true
        id:
          type: string
          format: uuid
          readOnly: true
        idea_id:
          type: string
          format: uuid
          readOnly: true
      required:
        - id
        - idea_id
        - name
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````